unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, ToolWin, ImageZoom, jpeg,ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    CoolBar1: TCoolBar;
    ToolBar: TToolBar;
    tbOpen: TToolButton;
    tbZoomIn: TToolButton;
    tbZoomOut: TToolButton;
    ImageList: TImageList;
    StatusBar: TStatusBar;
    OpenDialog: TOpenDialog;
    ToolButton4: TToolButton;
    tbFit: TToolButton;
    ToolButton6: TToolButton;
    TrackBar: TTrackBar;
    ToolButton7: TToolButton;
    tbClose: TToolButton;
    ToolButton1: TToolButton;
    tbScrollbar: TToolButton;
    ProgressBar: TProgressBar;
    imp: TImageZoom;
    cbTransparent: TCheckBox;
    ToolButton2: TToolButton;
    procedure tbOpenClick(Sender: TObject);
    procedure tbZoomInClick(Sender: TObject);
    procedure tbZoomOutClick(Sender: TObject);
    procedure TrackBarChange(Sender: TObject);
    procedure tbCloseClick(Sender: TObject);
    procedure tbFitClick(Sender: TObject);
    procedure tbScrollbarClick(Sender: TObject);
    procedure impProgress(Sender: TObject; Stage: TProgressStage;
      PercentDone: Byte; RedrawNow: Boolean; const R: TRect;
      const Msg: String);
    procedure cbTransparentClick(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.tbOpenClick(Sender: TObject);
begin
  if OpenDialog.Execute then
  begin
    imp.Picture.LoadFromFile(OpenDialog.FileName);
    imp.Zoom := 100;
    TrackBar.Position := imp.Zoom;
    TrackBarChange(TrackBar);
  end;
end;

procedure TForm1.tbZoomInClick(Sender: TObject);
begin
  imp.Zoom := imp.Zoom + 10;
  TrackBar.Position := imp.Zoom;
  TrackBarChange(TrackBar);
end;

procedure TForm1.tbZoomOutClick(Sender: TObject);
begin
  imp.Zoom := imp.Zoom - 10;
  TrackBar.Position := imp.Zoom;
  TrackBarChange(TrackBar);
end;

procedure TForm1.TrackBarChange(Sender: TObject);
begin
  imp.Zoom := TrackBar.Position;
  StatusBar.Panels[0].Text := 'Zoom : ' + IntToStr(imp.Zoom) + '%';
end;

procedure TForm1.tbCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.tbFitClick(Sender: TObject);
begin
  imp.Fit;
  TrackBar.Position := imp.Zoom;
  TrackBarChange(TrackBar);
end;

procedure TForm1.tbScrollbarClick(Sender: TObject);
begin
  imp.Scrollbar := tbScrollbar.Down;
end;

procedure TForm1.impProgress(Sender: TObject; Stage: TProgressStage;
  PercentDone: Byte; RedrawNow: Boolean; const R: TRect;
  const Msg: String);
begin
  case Stage of
    psStarting: begin
                  ProgressBar.Visible := true;
                end;
    psRunning: begin
                 ProgressBar.Position := PercentDone;
               end;
    psEnding: begin
                ProgressBar.Visible := false;
              end;
  end;
end;

procedure TForm1.cbTransparentClick(Sender: TObject);
begin
  imp.Transparent := cbTransparent.Checked;
end;

end.
